## vlc 0.8.6.release.e+x264svn20071224+faad2.6.1

=== extras/contrib/src/Makefile ===
#***************************************************************************
# src/Makefile : Dearchive and compile all files necessary
# ***************************************************************************
# Copyright (C) 2003 - 2008 the VideoLAN team
# $Id: Makefile 25234 2008-02-21 10:28:05Z funman $
#
# Authors: Christophe Massiot <massiot@via.ecp.fr>
#          Derk-Jan Hartman <hartman at videolan dot org>
#          Eric Petit <titer@m0k.org>
#          Felix Kühne <fkuehne@users.sourceforge.net>
#          Christophe Mutricy <xtophe AT xtelevision.com>
#          Gildas Bazin <gbazin at videolan dot org>
#          Damien Fouilleul <damienf at videolan dot org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
# ***************************************************************************

include ../config.mak
include ./packages.mak

# ***************************************************************************
# Set a clean environment
# ***************************************************************************

export PATH := $(PREFIX)/bin:$(EXTRA_PATH):$(PATH)
export PKG_CONFIG_PATH
export PKG_CONFIG_LIBDIR = $(PREFIX)/lib/pkgconfig
export MACOSX_DEPLOYMENT_TARGET = $(SDK_TARGET)
export LIBRARY_PATH := $(PREFIX)/lib:$(LIBRARY_PATH)
export CFLAGS = -I$(PREFIX)/include $(EXTRA_CFLAGS) $(EXTRA_CPPFLAGS)
export CPPFLAGS = -I$(PREFIX)/include $(EXTRA_CFLAGS) $(EXTRA_CPPFLAGS)
export CXXFLAGS = -I$(PREFIX)/include $(EXTRA_CFLAGS) $(EXTRA_CPPFLAGS)
export LDFLAGS = -L$(PREFIX)/lib $(EXTRA_LDFLAGS)

# ***************************************************************************
# Cross compilation variables
# We'll usually use --host=<platform>, except for a few libraries which
# don't handle it (gotta set CC/CXX/etc), and obviously FFmpeg has its own
# way of doing it... ;)
# ***************************************************************************

ifneq ($(CC),)
HOSTCC+= CC="$(CC)"
endif
ifneq ($(CXX),)
HOSTCC+= CXX="$(CXX)"
endif
ifneq ($(LD),)
HOSTCC+= LD="$(LD)"
endif
ifneq ($(RANLIB),)
HOSTCC+= RANLIB="$(RANLIB)"
endif
ifneq ($(AR),)
HOSTCC+= AR="$(AR)"
endif

# Define ranlib on non-cross compilation setups
ifeq ($(RANLIB),)
RANLIB=ranlib
endif

# For libebml/libmatroska. Grrr.
ifneq ($(AR),)
HOSTCC2=$(HOSTCC) AR="$(AR) rcvu"
else
HOSTCC2=$(HOSTCC)
endif

# For ffmpeg if not cross compiling
ifneq ($(CC),)
  FFMPEGCONF=--cc="$(CC)"
endif

#
# cross compiling
#
ifneq ($(BUILD),$(HOST))
    #
    # Compiling for MinGW under Cygwin could be deemed as cross compiling
    # unfortunately there isn't a complete separate GCC toolchain for MinGW under Cygwin
    #
    HOSTCONF=--host=$(HOST) --build=$(BUILD)
    ifeq ($(findstring cygwin,$(BUILD)),)
	# We are REALLY cross compiling
	FFMPEGCONF=--cross-prefix=$(HOST)-
	X264CONF=--crosscompile=$(HOST)
    endif
endif

#
# Special target-dependant options
#
ifdef HAVE_WIN32
HOSTCONF+= --without-pic --disable-shared --enable-msw --with-included-opencdk --with-included-libtasn1 --disable-dependency-tracking
FFMPEGCONF+= --enable-mingw32 --enable-memalign-hack --cpu=x86 --disable-debug
endif

ifdef HAVE_WINCE
HOSTCONF+= --without-pic --disable-shared
FFMPEGCONF+= --enable-mingwce --cpu=armv4l --disable-debug --disable-encoders --disable-muxers --disable-mpegaudio-hp --disable-decoder=snow --disable-decoder=vc9 --disable-decoder=wmv3 --disable-decoder=vorbis --disable-decoder=dvdsub --disable-decoder=dvbsub --disable-protocols
else
FFMPEGCONF+= --enable-mp3lame --enable-faac
endif

ifdef HAVE_BEOS
FFMPEGCONF+= --cpu=x86 --disable-debug --disable-audio-beos
endif

ifeq ($(HOST),i686-apple-darwin8)
FFMPEGCONF += --enable-memalign-hack
X264CONF += --enable-pic
ifneq ($(HOST),i686-apple-darwin8)
FFMPEG_CFLAGS += -DHAVE_LRINTF
endif
endif

# ***************************************************************************
# Standard rules
# ***************************************************************************

ifdef HAVE_DARWIN_OS
 all: .autoconf .automake .libtool .intl .pkgcfg .freetype .fribidi \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .vorbisenc .theora \
	.FLAC .speex .shout .faad .faac .lame .twolame .ebml .matroska .ffmpeg \
	.dvdcss .dvdnav .dvdread .dvbpsi .live .x264 .caca .mod \
	.png .gpg-error .gcrypt .gnutls .opendaap .cddb .cdio .vcdimager .SDL_image \
	.glib .libidl .gecko .mpcdec .dirac_encoder .dirac_decoder .aclocal \
        .libdca .goom2k4 .x264
# .expat .clinkcc don't work with SDK yet
# .glib .libidl .gecko are required to build the mozilla plugin
# .mozilla will build an entire mozilla. it can be used if we need to create a new .gecko package
# 
# Things only enabled on PPC
ifneq ($(HOST),i686-apple-darwin8)
all:
endif
else

 ifdef HAVE_BEOS
  ifeq ($(HOST),$(BUILD))
# Native build: we need perl, autoconf, etc first
   all: .perl .autoconf .automake .libtool .iconv .intl .freetype .fribidi \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .vorbisenc .theora \
	.FLAC .speex .faad .faac .lame .ebml .matroska .ffmpeg .dvdcss \
	.dvdnav .dvbpsi .aclocal .libdca
  else
# Cross compiling: we already have the Linux tools, only build the
# libraries now
   all: .iconv .intl .freetype .fribidi \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .vorbisenc .theora \
	.FLAC .speex .faad .faac .lame .twolame .ebml .matroska .ffmpeg .dvdcss \
	.dvdnav .dvbpsi .aclocal .libdca
  endif
 else

  ifdef HAVE_WIN32

   all: .iconv .intl .freetype .fribidi .zlib \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .shout .vorbisenc .theora \
	.FLAC .speex .faad .faac .lame .ebml  .matroska .ffmpeg .dvdcss \
	.live .goom2k4 .caca .mod .x264  .xml .twolame \
	.png .gpg-error .gcrypt .gnutls .mpcdec \
	.dvdnav .dvbpsi .wxwidgets .dirac .SDL_image \
	.dx_headers .dshow_headers .aclocal .gecko-win32 .unicows .libdca
#	.daap .cddb .cdio .vcdimager .portaudio 
  else

   ifdef HAVE_WINCE

   all: .dvbpsi .zlib .ffmpeg .ogg .tremor .faad

   else
# Standard Linux or other UNIX-like systems
   all: .iconv .intl .freetype .fribidi .zlib \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .vorbisenc .theora \
	.FLAC .speex .faad .faac .lame .ebml .matroska .ffmpeg .dvdcss \
	.live .goom2k4 .caca .mod .x264  .xml .twolame \
	.png .gpg-error .gcrypt .gnutls .mpcdec \
	.dvdnav .dvbpsi .wxwidgets .dirac \
	.aclocal .libdca .libraw1394 .libdc1394
#	.png .gpg-error .gcrypt .gnutls .mpcdec\
#	.SDL_image  .daap .cddb .cdio .vcdimager 
   endif
  endif
 endif
endif

FORCE:

# ***************************************************************************
# Useful macros
# ***************************************************************************

define EXTRACT_GZ
	rm -rf $@ || true
	tar xzf $< --exclude='[*?:<>\|]' 
	mv $(patsubst %.tar.gz,%,$(patsubst %.tgz,%,$(notdir $<))) $@ || true
	touch $@
endef

define EXTRACT_BZ2
	rm -rf $@ || true
	bunzip2 -c $< | tar xf - --exclude='[*?:<>\|]' 
	mv $(patsubst %.tar.bz2,%,$(notdir $<)) $@ || true
	touch $@
endef

define EXTRACT_ZIP
	rm -rf $@ || true
	unzip $<
	mv $(patsubst %.zip,%,$(notdir $<)) $@ || true
	touch $@
endef

### Darwin-specific ###
# These macros prepare the dynamic libraries for inclusion in the Mac OS X
# bundle. For instance if you're building a library named libtoto.dylib,
# which depends on the contrib library libtata.dylib, you should have the
# following entry :
# .toto: toto_directory .tata
#	cd $< ; ./configure --prefix=$(PREFIX)
#	$(MAKE) -C $<
#	$(MAKE) -C $< install
#	$(INSTALL_NAME)
#	touch $@

ifdef HAVE_DARWIN_OS
# the original libtoto.dylib is copied from contrib/lib to vlc-lib as
# vlc_libtoto.dylib. a soft link to this library is created in contrib/lib
# using the orginal dylib name. if libtoto.la also exists, the library named
# in dlname is also changed to a soft-link to vlc-lib in order to support
# libtool. to satisfy VLC.app dyld search, vlc_libtoto.dylib dyld id is changed
# to @executable_path/lib/vlc_libtoto.dylib 

define INSTALL_NAME
	if which install_name_tool >/dev/null; then \
		mkdir -p $(PREFIX)/vlc-lib ; \
		libname='lib$(patsubst .%,%,$@)' ; \
		dlname="$$libname.dylib" ; \
		cp $(PREFIX)/lib/$$dlname \
			$(PREFIX)/vlc-lib/vlc_$$dlname ; \
		rm $(PREFIX)/lib/$$dlname ; \
		ln -s $(PREFIX)/vlc-lib/vlc_$$dlname \
			$(PREFIX)/lib/$$dlname ; \
		if [ -f $(PREFIX)/lib/$$libname.la ]; then \
			eval ltname=`sed -n 's/dlname=//p' $(PREFIX)/lib/$$libname.la`; \
			rm $(PREFIX)/lib/$$ltname ; \
			ln -s $(PREFIX)/vlc-lib/vlc_$$dlname \
				$(PREFIX)/lib/$$ltname ; \
		fi ; \
		install_name_tool \
			-id @executable_path/lib/vlc_$$dlname \
			$(PREFIX)/vlc-lib/vlc_$$dlname ; \
	fi
endef

endif

ifeq ($(HOST),i586-pc-beos)
# We test if the file actually exists, as sometimes (but not always)
# libtool won't accept to build the shared library
define INSTALL_NAME
	if test -f $(PREFIX)/lib/lib$(patsubst .%,%,$@).so ; then \
		mkdir -p $(PREFIX)/vlc-lib ; \
		cp $(PREFIX)/lib/lib$(patsubst .%,%,$@).so \
		  $(PREFIX)/vlc-lib/ ; \
	fi
endef
endif

# ***************************************************************************
# perl
# ***************************************************************************

ifeq ($(BUILD),i586-pc-beos)
perl-$(PERL_VERSION).tar.gz:
	$(WGET) $(PERL_URL)

perl: perl-$(PERL_VERSION).tar.gz
	$(EXTRACT_GZ)
	sed -i.orig 's%prefix="/boot/home/config"%prefix="$(PREFIX)"%'  perl/hints/beos.sh

.perl: perl
	(cd $<; ./Configure -d -e && make && make install && ln -sf perl5/$(PERL_VERSION)/BePC-beos/CORE/libperl.so $(PREFIX)/lib/libperl.so)
	touch $@

CLEAN_FILE += .perl
CLEAN_PKG += perl
DISTCLEAN_PKG += perl-$(PERL_VERSION).tar.gz
endif

# ***************************************************************************
# autoconf
# ***************************************************************************

autoconf-$(AUTOCONF_VERSION).tar.bz2:
	$(WGET) $(AUTOCONF_URL)

autoconf: autoconf-$(AUTOCONF_VERSION).tar.bz2
	$(EXTRACT_BZ2)

.autoconf: autoconf
	(cd $<; ./configure --prefix=$(PREFIX) && make && make install)
	touch $@

CLEAN_FILE += .autoconf
CLEAN_PKG += autoconf
DISTCLEAN_PKG += autoconf-$(AUTOCONF_VERSION).tar.bz2

# ***************************************************************************
# libtool
# ***************************************************************************

ifdef HAVE_DARWIN_OS
.libtool:
	if test -x /usr/bin/glibtoolize; then \
		mkdir -p $(PREFIX)/bin ; \
		ln -sf /usr/bin/glibtoolize $(PREFIX)/bin/libtoolize ; \
	fi
	if test -f /usr/share/aclocal/libtool.m4; then \
		mkdir -p $(PREFIX)/share/aclocal ; \
		ln -sf /usr/share/aclocal/libtool.m4 $(PREFIX)/share/aclocal ; \
	fi
	touch $@
endif

ifeq ($(BUILD),i586-pc-beos)
libtool-$(LIBTOOL_VERSION).tar.gz:
	$(WGET) $(LIBTOOL_URL)

libtool: libtool-$(LIBTOOL_VERSION).tar.gz
	$(EXTRACT_GZ)

.libtool: libtool
	(cd $<; ./configure --prefix=$(PREFIX) && make && make install)
	touch $@

CLEAN_PKG += libtool
DISTCLEAN_PKG += libtool-$(LIBTOOL_VERSION).tar.gz
endif

CLEAN_FILE += .libtool

# ***************************************************************************
# automake
# ***************************************************************************

automake-$(AUTOMAKE_VERSION).tar.gz:
	$(WGET) $(AUTOMAKE_URL)

automake: automake-$(AUTOMAKE_VERSION).tar.gz
	$(EXTRACT_GZ)

.automake: automake
	(cd $<; ./configure --prefix=$(PREFIX) && make && make install)
	touch $@

CLEAN_FILE += .automake
CLEAN_PKG += automake
DISTCLEAN_PKG += automake-$(AUTOMAKE_VERSION).tar.gz

## vlc 1.0.2-1ubuntu1~ppa1

=== debian/changelog ===
vlc (1.0.2-1ubuntu1~ppa1) jaunty; urgency=low

  * Automated backport upload; no source changes.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 26 Sep 2009 00:13:05 +0200

vlc (1.0.2-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable (LP: #435524), remaining changes:
    - build against xulrunner-dev instead of iceape-dev
    - build against libx264-dev and install libx264 plugin
    - add Xb-Npp header to vlc package
    - recommend vlc-plugin-pulse for vlc

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 25 Sep 2009 14:44:17 +0200

vlc (1.0.2-1) unstable; urgency=high

  * New upstream release
    + Fix some stack overflows in MP4, ASF and AVI demuxers
      (VideoLAN-SA-0902, CVE pending)(urgency=high)
    + Closes: #540145, #542108
  * Fix kfreebsd FTBFS and simplify (Closes: #545863) 
    Thanks to Petr Salinger
  * Fix Hurd install
  * Update libvlccore symbol file
  * Remove libass API patch
  * Remove uneeded build-deps

 -- Christophe Mutricy <xtophe@videolan.org>  Sun, 20 Sep 2009 01:08:41 +0200

vlc (1.0.1-2ubuntu1) karmic; urgency=low

  * Merge from Debian unstable (LP: #426693), remaining changes:
    - build against xulrunner-dev instead of iceape-dev
    - build against libx264-dev and install libx264 plugin
    - add Xb-Npp header to vlc package
  * Recommend vlc-plugin-pulse for vlc, so that pulse can be used as default
    output.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 09 Sep 2009 10:24:09 +0200

vlc (1.0.1-2) unstable; urgency=low

  * Fix typo in debian/changelog
  * Allow building against libass 0.9.7
  * Don't try to install v4l2 modules on kfreebsd
  * Set policy to 3.8.3 (no change needed)
  * No need of qt4-dev-tools
  * Add a README.source about quilt
  * Disable some modules (kate, mtp, fluidsynth)
  * Don't distribute the *.install-kfreebsd* files as they are generated 

 -- Christophe Mutricy <xtophe@videolan.org>  Sun, 06 Sep 2009 19:07:24 +0200

vlc (1.0.1-1ubuntu2) karmic; urgency=low

  * No-change rebuild to pick up new ffmpeg shlibs file.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 28 Aug 2009 22:02:06 +0200

vlc (1.0.1-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable (LP: #406602, #407570), remaining changes:
    - build against xulrunner-dev instead of iceape-dev
    - build against libass-dev and libx264-dev
    - build against and install libx264 plugin
    - add Xb-Npp header to vlc package

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 01 Aug 2009 05:54:24 +0300

vlc (1.0.1-1) unstable; urgency=low

  * New upstream bugfix version
    + Fix integer underflow in Real RTSP (DZC-2009-001, CVE pending)
    + Fix crashes in xspf files handler (LP: #365638)

  [ Reinhard Tartler ]
  * Add versioned build dependency on libschroedinger-dev

  [ Christophe Mutricy ]
  * Really build altivec-free libvlccore (Closes: #523035)
  * Depends on libdvbpsi5-dev and protect against future renaming of 
    libdvbpsi development package
  * Remove patches applied upstream

 -- Christophe Mutricy <xtophe@videolan.org>  Wed, 29 Jul 2009 00:21:39 +0200

vlc (1.0.0-1ubuntu1) karmic; urgency=low

  * Remaining changes to debian:
    - build against libxul-dev instead of iceape-dev
    - build against libass-dev and libx264-dev
    - build against and install libx264 plugin
    - add Xb-Npp header to vlc package

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 10 Jul 2009 16:18:23 +0200

vlc (1.0.0-1) unstable; urgency=low

  * New Upstream Release
    + Closes: #536081, LP: #396548
    + Refresh patches
  * no longer closes when pausing from the notification area, LP: #371515
  * fix encoding bug when opening subtitles with non-latin characters,
    LP: #394449
  * Don't install the alsa and OSS access module on kfreeBSD (Closes:
    #535101) - thanks to Javier Mendez Gomez
  * Force at least libvlc 1.0.0 becasue of tha soname change of
    libvlccore
  * Delete a symbols who was present by mistake.
  * No need for dh_desktop. It's a no-op
  * New standard version. No change needed
  * Fix make distclean. New patch taken from upstream
  * Upstream make distcheck has been fixed. No need to save Changelog

 -- Christophe Mutricy <xtophe@videolan.org>  Thu, 09 Jul 2009 13:04:20 +0000

vlc (1.0.0~rc2-1ubuntu1) karmic; urgency=low

  * New upstream version.
  * tighten build-dependencies on libschroedinger-dev, fixes FTBFS.
  * Following bugs have an associated and now closed upstream ticket in
    Launchpad: LP: #281295, #73449, #282567, #117640, #172938, #260918,
    #273685, #275043, #277834, #282394, #290753, #294136, #298925, #304265,
    #309728, #311742, #314038
  
 -- Reinhard Tartler <siretart@tauware.de>  Fri, 05 Jun 2009 12:28:15 +0200

vlc (1.0.0~rc2-1) experimental; urgency=low

  * New Upstream Release Candidate
    + Closes: #527010, #491441, #508618, #522824
  * Delete patches which were picked from upstream
  * Refresh patches
  * Remove vlc-plugin-esd and vlc-plugin-arts as they have been removed
    by upstream
  * SONAME change for libvlccore
  * Add new symbols for libvlc2
  * Fix static libs compile
  * Use vlc-wrapper manpage from upstream
  * vlc.install: add drawable and screen was renamed x11_screen
  * vlc-nox.install: Add and remove modules added/removed upstream
  * Point out in NEWS the modules renamed or splited
  * Add links to upstream NEWS and co in vlc-nox
  * Version the depedency of libvlcore2 on vlc-data
  * Remove unnecessary "Section:" in debian/control

 -- Christophe Mutricy <xtophe@videolan.org>  Wed, 03 Jun 2009 17:55:10 +0200

vlc (0.9.9a-3) unstable; urgency=medium

  * Correct typo in 0.9.9a-2 changelog entry
  * Disable more optimization with DEB_BUILD_OPTIONS=noopt
  * Cache the configure test results as we're running configure several
    times
  * Fix building as root
  * Fix the clean target
  * Remove unexistant config options
  * Better check commad line
  * Use all the procs on i386 and amd64


=== debian/control ===
Source: vlc
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
           Clément Stenac <zorglub@debian.org>,
           Loic Minier <lool@dooz.org>,
           Christophe Mutricy <xtophe@videolan.org>,
           Mohammed Adnène Trojette <adn+deb@diwi.org>
Build-Depends: debhelper (>= 7),
               dh-buildinfo,
               gettext,
               quilt,
               nasm,
               yasm [amd64 kfreebsd-amd64],
               xulrunner-dev,
               liba52-0.7.4-dev,
               libaa1-dev,
               libasound2-dev (>= 0.9.0beta10a) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libass-dev (>= 0.9.5-2),
               libavahi-client-dev,
               libavcodec-dev (>= 0.cvs20060823),
               libavformat-dev (>= 0.cvs20060823),
               libcaca-dev (>= 0.99.beta4),
               libcdio-dev,
               libdca-dev,
               libdvbpsi5-dev | libdvbpsi-dev,
               libdvdnav-dev,
               libdvdread-dev (>= 0.9.5),
               libfaad-dev,
               libflac-dev (>= 1.1.2-3),
               libfreetype6-dev,
               libfribidi-dev,
               libggi2-dev,
               libgl1-mesa-dev,
               libglib2.0-0,
               libgnutls-dev (>= 1.2.8),
               libhal-dev (>= 0.5.5.1-3) [!hurd-i386],
               libid3tag0-dev,
               libjack-dev,
               liblircclient-dev,
               liblivemedia-dev (>= 2008.07.24),
               liblua5.1-0-dev,
               libmad0-dev,
               libmatroska-dev (>= 0.8.0),
               libmodplug-dev,
               libmpcdec-dev,
               libmpeg2-4-dev,
               libncursesw5-dev,
               libnotify-dev,
               libogg-dev,
               libpng12-dev,
               libpostproc-dev (>= 0.cvs20060823),
               libpulse-dev,
               libqt4-dev,
               libschroedinger-dev (>= 1.0.7-1~),
               libsdl-image1.2-dev,
               libsdl1.2-dev (>= 1.2.7+1.2.8cvs20041007-5.3),
               libshout3-dev,
               libsmbclient-dev,
               libspeex-dev,
               libsvga1-dev [amd64 i386],
               libswscale-dev,
               libsysfs-dev,
               libtag1-dev,
               libtar-dev,
               libtheora-dev,
               libtwolame-dev (>= 0.3.8),
               libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libvcdinfo-dev,
               libvorbis-dev,
               libx11-dev,
               libx264-dev,
               libxext-dev,
               libxml2-dev,
               libxpm-dev,
               libxt-dev,
               libxv-dev,
               pkg-config,
               zlib1g-dev
Standards-Version: 3.8.3
Homepage: http://www.videolan.org/vlc
Vcs-Git: git://git.debian.org/git/pkg-multimedia/vlc.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/vlc.git;a=shortlog;h=refs/heads/karmic

Package: vlc
Architecture: any
Depends: vlc-nox (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         ttf-dejavu-core
Recommends: vlc-plugin-pulse (= ${binary:Version})
Suggests: mozilla-plugin-vlc,
          videolan-doc
Replaces: vlc-nox (<< 0.9.2-1)
Conflicts: vlc-nox (<< 0.9.2-1)
Provides: mp3-decoder
Description: multimedia player and streamer
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added
 by installing additional audio plugins (vlc-plugin-pulse, vlc-plugin-sdl)
 or video plugins (vlc-plugin-sdl, vlc-plugin-ggi, vlc-plugin-svgalib). There
 is also a web browser plugin in the mozilla-plugin-vlc package.

Package: vlc-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         vlc-nox (= ${binary:Version})
Description: debugging symbols for vlc
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
 .
 This package contains the debugging symbols for vlc.

Package: vlc-nox
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: vlc (<< 0.9.8a-3)
Conflicts: vlc (<< 0.9.8a-3)
Provides: mp3-decoder
Description: multimedia player and streamer (without X support)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added
 by installing additional audio plugins (vlc-plugin-pulse, vlc-plugin-sdl,
 vlc-plugin-jack) or video plugins (vlc-plugin-sdl, vlc-plugin-ggi,
 vlc-plugin-svgalib). There is also a web browser plugin in  the
 mozilla-plugin-vlc package.
 .
 This package contains a version of VLC that does not require X and that is
 thus suitable for headless servers.

Package: libvlccore2
Section: libs
Architecture: any
Depends: vlc-data (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: base library for VLC and its modules
 This package contains the shared library required by VLC modules and libvlc.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: libvlc2
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: vlc (<< 0.8.6.c-6)
Conflicts: vlc (<< 0.8.6.c-6)
Description: multimedia player and streamer library
 This package contains the shared library required by applications using VLC
 features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: libvlccore-dev
Section: libdevel
Architecture: any
Depends: libvlccore2 (= ${binary:Version}), pkg-config,
         ${shlibs:Depends}, ${misc:Depends}
Description: development files for libvlccore
 This package contains headers and a static library required to build plugins
 for VLC.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: libvlc-dev
Section: libdevel
Architecture: any
Depends: libvlc2 (= ${binary:Version}), libvlccore-dev, pkg-config,
         ${shlibs:Depends}, ${misc:Depends}
Replaces: libvlc0-dev
Conflicts: libvlc0-dev
Description: development files for libvlc
 This package contains headers and a static library required to build 
 standalone applications that use VLC features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-sdl
Architecture: any
Depends: vlc-nox, ${shlibs:Depends}, ${misc:Depends}
Description: SDL video and audio output plugin for VLC
 This plugin adds support for the Simple DirectMedia Layer library to
 the VLC media player. To activate it, use the `--vout sdl' or
 `--aout sdl' flags or select the `sdl' video or audio output plugin
 from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-ggi
Architecture: any
Depends: vlc-nox, ${shlibs:Depends}, ${misc:Depends}
Description: GGI video output plugin for VLC
 This is a GGI plugin for the VLC media player.  To activate it, use
 the `--vout ggi' flag or select the `ggi' video output plugin from the
 preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: mozilla-plugin-vlc
Architecture: any
Depends: vlc-nox (= ${binary:Version}), vlc, ${shlibs:Depends}, ${misc:Depends}
Xb-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384,
                     92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a
Xb-Npp-Name: VLC Multimedia Plugin
Xb-Npp-Description: play video and audio in firefox using the VLC Multimedai Player
Xb-Npp-File: libvlcplugin.so
Xb-Npp-MimeType: audio/mpeg,
                 audio/x-mpeg,
                 video/mpeg,
                 video/x-mpeg,
                 video/mpeg-system,
                 video/x-mpeg-system,
                 video/mpeg4,
                 audio/mpeg4,
                 application/mpeg4-iod,
                 application/mpeg4-muxcodetable,
                 video/x-msvideo,
                 video/quicktime,
                 application/x-ogg,
                 application/ogg,
                 application/x-vlc-plugin,
                 video/x-ms-asf-plugin,
                 video/x-ms-asf,
                 application/x-mplayer2,
                 video/x-ms-wmv,
                 application/x-google-vlc-plugin,
                 audio/wav,
                 audio/x-wav,
                 audio/3gpp,
                 video/3gpp,
                 audio/3gpp2,
                 video/3gpp2
Description: multimedia plugin for web browsers based on VLC
 This plugin adds support for MPEG, MPEG2, DVD, DivX, Ogg/Vorbis and many
 more formats to your Gecko-based web browser (Firefox, Galeon, etc.). The
 decoding process is done by VLC and the output window is embedded in a
 webpage or directly in the browser window. There is also support for
 fullscreen display and javascript control.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-svgalib
Architecture: amd64 i386
Depends: vlc-nox (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SVGAlib video output plugin for VLC
 This plugin adds support for SVGAlib to the VLC media player. To
 activate it, use the `--vout svgalib' flag or select the `svgalib' video
 output plugin from the preferences menu. Note that you will need root
 permissions to use SVGAlib.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-jack
Architecture: any
Depends: vlc-nox (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Jack audio plugins for VLC
 These plugins add support for JACK to the VLC media player. To
 activate the audio output module, use the `--aout jack' flag or
 select the `jack' audio output plugin from the preferences menu.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
VERSION = $(shell  dpkg-parsechangelog|sed -n 's/^Version: //p')
DEBIAN_VERSION = $(shell echo $(VERSION)|sed -nr 's/[^:]+://; s/.*-([^-]+$$)/\1/p')

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
confflags := --build=$(DEB_BUILD_GNU_TYPE)
else
confflags := --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
confflags += --disable-optimizations --disable-mmx --disable-sse --disable-altivec
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
else
# on i386 and amd64, we query the system unless overriden by DEB_BUILD_OPTIONS
ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
NUMJOBS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
MAKEFLAGS += -j$(NUMJOBS)
endif
endif



include /usr/share/quilt/quilt.make

LDFLAGS = -Wl,--as-needed

# configure flags
confflags += --disable-maintainer-mode --enable-release --prefix=/usr
confflags += \
	--config-cache \
	--enable-fast-install \
	--with-binary-version=$(DEBIAN_VERSION) \
	--disable-update-check \
	--disable-fb \
	--enable-ggi \
	--enable-sdl \
	--enable-mad \
	--enable-jack \
	--enable-pulse \
	--enable-lirc \
	--enable-a52 \
	--enable-aa \
	--enable-dvbpsi \
	--enable-mozilla \
	--with-mozilla-pkg=xulrunner-plugin \
	--enable-dvb \
	--enable-ogg \
	--enable-vorbis \
	--enable-shout \
	--enable-qt4 \
	--enable-flac \
	--enable-skins2 \
	--enable-freetype \
	--enable-mkv \
	--enable-speex \
	--enable-caca \
	--enable-live555 \
	--enable-libmpeg2 \
	--enable-fribidi \
	--enable-mod \
	--enable-theora \
	--enable-dvdnav \
	--enable-gnutls \
	--enable-ncurses \
	--enable-smb \
	--disable-gnomevfs \
	--enable-bonjour \
	--enable-mpc \
	--enable-vcd \
	--enable-vcdx \
	--enable-notify \
	--enable-twolame \
	--enable-faad \
	--disable-zvbi \
	--enable-telx \
	--enable-x264 \
	--disable-atmo \
	--enable-taglib \
	--enable-libass \
	--enable-dca \
	--enable-realrtsp \
	--disable-dv \
	--disable-fluidsynth \
	--disable-kate \
	--disable-mtp \
	$(NULL)


# Linux specific flags
ifeq ($(DEB_HOST_ARCH_OS),linux)
confflags += --enable-alsa --enable-v4l --enable-v4l2 --enable-pvr
endif

# svgalib is only for x86 and x86-64 on Linux
ifneq ($(filter $(DEB_HOST_ARCH), amd64 i386),)
confflags += --enable-svgalib
endif

# A few shortcuts
VIDDIR := usr/share/vlc
PIXDIR := usr/share/pixmaps

build: build-stamp
build-stamp: $(QUILT_STAMPFN)
	dh_testdir
	# We need to build the static library apart
	# Else it's a mess when we build the modules
	./configure --enable-static $(confflags)
	$(MAKE) -C compat
	$(MAKE) -C src libvlccore.la libvlc.la
	mkdir -p tmp
	cp src/.libs/libvlccore.a tmp/libvlccore.a
	cp src/.libs/libvlc.a tmp/libvlc.a
	# build an altivec free version on powerpc for the G3
ifneq ($(filter $(DEB_HOST_ARCH), powerpc),)
	./configure --disable-altivec $(confflags)
	$(MAKE) -C compat
	$(MAKE) -C src libvlccore.la 
	cp -vd src/.libs/libvlccore.so.* tmp/
endif
	./configure $(confflags)
	$(MAKE)
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	# Check which plugins were built and whether they load properly.
	@if test $$( id -u ) -eq 0 ; then \
	   echo "Not runing the test as you are compiling as root"; \
	   echo "Use 'dpkg-buildpackage -rfakeroot' rather than 'fakeroot dpkg-buildpackage'"; \
	else \
	   command="./vlc -vvv --ignore-config --no-plugins-cache --list --no-color"; \
	   echo "$${command}"; $${command} ; \
	fi
endif
endif
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f debian/vlc-nox.install.kfreebsd
	rm -f debian/vlc-nox.install.hurd
	# Clean VLC
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf tmp/
	# Clean zsh completion stuff
	rm -f extras/zsh
	# Removed ugly cruft
	rm -f src/misc/modules_builtin.h
	rm -f mozilla/vlcintf.xpt mozilla/vlcintf.h
	# Remove spurious autotools stuff
	rm -f config.log confdefs.h
	# Unpatch package
	$(MAKE) -f debian/rules unpatch
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	sed -e '/\(lib\|libaccess_\)\(alsa\|dvb\|v4l\|v4l2\|pvr\)_/d' \
	 debian/vlc-nox.install > debian/vlc-nox.install.kfreebsd
	sed -e '/\(lib\|libaccess_\)\(probe_hal\)_/d' \
	 debian/vlc-nox.install.kfreebsd > debian/vlc-nox.install.hurd
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/
	cp tmp/libvlc.a debian/tmp/usr/lib
	cp tmp/libvlccore.a debian/tmp/usr/lib
ifneq ($(filter $(DEB_HOST_ARCH), powerpc),)
	mkdir -p debian/tmp/usr/lib/altivec/
	mv -v debian/tmp/usr/lib/libvlccore.so.* debian/tmp/usr/lib/altivec/
	cp -vd tmp/libvlccore.so.* debian/tmp/usr/lib/
endif
	# Clean up libtool crap
	find debian/tmp -name '*.la' -exec rm '{}' ';'
	# Remove useless stuff
	rm -f debian/tmp/usr/share/vlc/skins2/fonts/FreeSans.ttf
	rm -f debian/tmp/usr/share/vlc/skins2/fonts/FreeSansBold.ttf
	ln -s /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf debian/tmp/usr/share/vlc/skins2/fonts/FreeSans.ttf
	ln -s /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-Bold.ttf debian/tmp/usr/share/vlc/skins2/fonts/FreeSansBold.ttf
	rm -rf debian/tmp/usr/share/man/man1
	# Move stuff around
	mkdir -p debian/tmp/$(PIXDIR)
	mv debian/tmp/$(VIDDIR)/vlc48x48.png debian/tmp/$(PIXDIR)/vlc.png
	mv debian/tmp/$(VIDDIR)/vlc32x32.xpm debian/tmp/$(VIDDIR)/vlc.xpm
	# Install stuff
	dh_install -si --fail-missing --sourcedir=debian/tmp
	# move .hosts
	mkdir -p debian/vlc-data/etc/vlc/http
	mv debian/vlc-data/usr/share/vlc/http/.hosts debian/vlc-data/etc/vlc/http
	ln -s /etc/vlc/http/.hosts debian/vlc-data/usr/share/vlc/http/.hosts

	#install BTS stuff
	mkdir -p  debian/vlc-nox/usr/share/bug/vlc-nox
	cp debian/bug/* debian/vlc-nox/usr/share/bug/vlc-nox
	# Clean up
	rm -f debian/vlc/$(VIDDIR)/*.png
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	# Check that we did not install a plugin linked with libX11 in vlc-nox
	BORKED=no; \
	for file in $$(find debian/vlc-nox/usr/lib/vlc -name '*.so'); do \
	  if objdump -x $$file | egrep -q '^ +NEEDED +libX11\.so'; then \
	    BORKED=yes; \
	    echo $$file depends on libX11; \
	  fi; \
	done; \
	if test "$$BORKED" = yes; then exit 1; fi
endif

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link -i
	dh_installdocs -p vlc-data
	dh_installchangelogs ChangeLog -p vlc-data
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -p vlc
	dh_installdocs -p vlc-nox
	dh_link -s
	dh_buildinfo -p vlc-nox
	dh_installmenu -s
	dh_installmime -s
	dh_installman doc/vlc.1 -p vlc-nox
	dh_installman doc/vlc-wrapper.1 -p vlc-nox
	dh_installchangelogs ChangeLog -p vlc
	dh_installchangelogs ChangeLog -p vlc-nox
	dh_lintian 
	dh_strip -s --dbg-package=vlc-dbg
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -plibvlc2 -V # -V is nasty, but I mean it
	dh_makeshlibs -plibvlccore2 -V # -V is nasty, but I mean it
	dh_installdeb -s
	dh_shlibdeps -s -ldebian/libvlc2/usr/lib:debian/libvlccore2/usr/lib
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary

=== debian/watch ===
version=3

#opts="dversionmangle=s/(\d\.\d\.\d).([a-z])/$1$2/" \
http://download.videolan.org/pub/videolan/vlc/([\d][\d\.]+[a-z]?)/vlc-([\d][\d\.]+[a-z]?)\.tar\.bz2
